Bug 1559991 - [3.5][Backport] oc adm migrate storage produces error as signature annotations forbidden
Summary: [3.5][Backport] oc adm migrate storage produces error as signature annotation...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Image
Version: 3.5.1
Hardware: Unspecified
OS: Unspecified
urgent
urgent
Target Milestone: ---
: 3.5.z
Assignee: Michal Minar
QA Contact: Dongbo Yan
URL:
Whiteboard:
Depends On: 1557607 1559994 1559997 1560311
Blocks: 1559982
TreeView+ depends on / blocked
 
Reported: 2018-03-23 16:52 UTC by Michal Minar
Modified: 2018-04-30 05:01 UTC (History)
12 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause: Image validation used to validate old image object. Consequence: An invalid image could be pushed to etcd. Fix: Validation has been changed to validate new image object. Result: It's no longer possible to upload an invalid image object.
Clone Of: 1557607
Environment:
Last Closed: 2018-04-30 05:00:57 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:1235 None None None 2018-04-30 05:01:54 UTC

Comment 1 Michal Minar 2018-03-23 16:59:53 UTC
OSE 3.5 PR: https://github.com/openshift/ose/pull/1156

Comment 2 Dongbo Yan 2018-04-04 17:16:39 UTC
Verified
openshift v3.5.5.31.66
kubernetes v1.5.2+43a9be4
etcd 3.1.0

Comment 5 Yadan Pei 2018-04-23 08:09:48 UTC
No changes for this bug, change back to VERIFIED since it's mistakenly changed by scripts

Comment 8 errata-xmlrpc 2018-04-30 05:00:57 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:1235


Note You need to log in before you can comment on or make changes to this bug.